# MimeMail Class Reference
[Mail utilities]

Inheritance diagram for MimeMail:
[legend]

List of all members.

## Public Member Functions

| addPart (MimePart $part)
| build ()
| getEncodedBody ()
| returns encoded body as string
| getHeaders ()
| returns all related headers as string
| setBoundary ($boundary)
| getBoundary ()

## Private Attributes

| $parts = array()
| $body = null
| $headers = null
| $boundary = null

## Detailed Description

Definition at line 17 of file MimeMail.class.php.

## Member Function Documentation

MimeMail::addPart | ( | MimePart $ | part | ) |

Returns:
  MimeMail

Definition at line 30 of file MimeMail.class.php.

MimeMail::build | ( |  | ) |

Definition at line 37 of file MimeMail.class.php.

References MimePart::create(), and setBoundary().

Here is the call graph for this function:

MimeMail::getBoundary | ( |  | ) |

Definition at line 92 of file MimeMail.class.php.

MimeMail::getEncodedBody | ( |  | ) |

returns encoded body as string

Implements MailBuilder.

Definition at line 64 of file MimeMail.class.php.

References Assert::isTrue().

Here is the call graph for this function:

MimeMail::getHeaders | ( |  | ) |

returns all related headers as string

Implements MailBuilder.

Definition at line 73 of file MimeMail.class.php.

References Assert::isTrue().

Here is the call graph for this function:

MimeMail::setBoundary | ( | $ | boundary | ) |

Returns:
  MimeMail

Definition at line 85 of file MimeMail.class.php.

References $boundary.

Referenced by build().

## Member Data Documentation

MimeMail::$body = null`[private]`

Definition at line 22 of file MimeMail.class.php.

MimeMail::$boundary = null`[private]`

Definition at line 25 of file MimeMail.class.php.

Referenced by setBoundary().

MimeMail::$headers = null`[private]`

Definition at line 23 of file MimeMail.class.php.

MimeMail::$parts = array()`[private]`

Definition at line 19 of file MimeMail.class.php.

The documentation for this class was generated from the following file:

- main/Net/Mail/MimeMail.class.php